Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.teleal.cling.model.types
Enum Datatype.Builtin

    java.lang.Object
      java.lang.Enum<Datatype.Builtin>
          org.teleal.cling.model.types.Datatype.Builtin

All Implemented Interfaces:
  Serializable, Comparable<Datatype.Builtin>

Enclosing interface:
  Datatype<V>

    public static enum Datatype.Builtin

extends Enum<Datatype.Builtin>

Mapping from UPnP built-in standardized type to actual subtype of `Datatype`.

Enum Constant Summary
`BIN_BASE64`
`BIN_HEX`
`BOOLEAN`
`CHAR`
`DATE`
`DATETIME`
`DATETIME_TZ`
`FIXED144`
`FLOAT`
`I1`
`I2`
`I4`
`INT`
`NUMBER`
`R4`
`R8`
`STRING`
`TIME`
`TIME_TZ`
`UI1`
`UI2`
`UI4`
`URI`
`UUID`

Method Summary
`static Datatype.Builtin` | `getByDescriptorName(String descriptorName)`
`Datatype` | `getDatatype()`
`String` | `getDescriptorName()`
`static boolean` | `isNumeric(Datatype.Builtin builtin)`
`static Datatype.Builtin` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Datatype.Builtin[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UI1

    public static final Datatype.Builtin UI1

### UI2

    public static final Datatype.Builtin UI2

### UI4

    public static final Datatype.Builtin UI4

### I1

    public static final Datatype.Builtin I1

### I2

    public static final Datatype.Builtin I2

### I4

    public static final Datatype.Builtin I4

### INT

    public static final Datatype.Builtin INT

### R4

    public static final Datatype.Builtin R4

### R8

    public static final Datatype.Builtin R8

### NUMBER

    public static final Datatype.Builtin NUMBER

### FIXED144

    public static final Datatype.Builtin FIXED144

### FLOAT

    public static final Datatype.Builtin FLOAT

### CHAR

    public static final Datatype.Builtin CHAR

### STRING

    public static final Datatype.Builtin STRING

### DATE

    public static final Datatype.Builtin DATE

### DATETIME

    public static final Datatype.Builtin DATETIME

### DATETIME_TZ

    public static final Datatype.Builtin DATETIME_TZ

### TIME

    public static final Datatype.Builtin TIME

### TIME_TZ

    public static final Datatype.Builtin TIME_TZ

### BOOLEAN

    public static final Datatype.Builtin BOOLEAN

### BIN_BASE64

    public static final Datatype.Builtin BIN_BASE64

### BIN_HEX

    public static final Datatype.Builtin BIN_HEX

### URI

    public static final Datatype.Builtin URI

### UUID

    public static final Datatype.Builtin UUID

Method Detail

### values

    public static Datatype.Builtin[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Datatype.Builtin c : Datatype.Builtin.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Datatype.Builtin valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getDescriptorName

    public String getDescriptorName()

### getDatatype

    public Datatype getDatatype()

### getByDescriptorName

    public static Datatype.Builtin getByDescriptorName(String descriptorName)

### isNumeric

    public static boolean isNumeric(Datatype.Builtin builtin)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.